> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a stablecoin inbound payment

> Returns the details of a given stablecoin inbound payment from the payment id.



## OpenAPI

````yaml /autogenerated/openapi/stablecoins.openapi.json get /stablecoins/payments/{id}
openapi: 3.1.0
info:
  title: Stablecoins API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /stablecoins/payments/{id}:
    get:
      tags:
        - Payments
      summary: Retrieve a stablecoin inbound payment
      description: >-
        Returns the details of a given stablecoin inbound payment from the
        payment id.
      operationId: findOnePayment
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type:
              - string
            format: uuid
            example: e9293471-5eb3-4dbc-916c-dbaf9e2deefd
        - name: accountId
          in: query
          schema:
            description: The ID of the account to work with.
            type:
              - string
            example: F50091
          required: true
        - name: include
          in: query
          schema:
            description: >-
              Controls which optional properties should be attached to the
              response.
            oneOf:
              - type:
                  - string
              - type:
                  - array
                items:
                  type:
                    - string
                  enum:
                    - link
            enum:
              - link
            example: link
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  id:
                    type:
                      - string
                    format: uuid
                    description: The ID of the BVNK payment to work with.
                    example: e9293471-5eb3-4dbc-916c-dbaf9e2deefd
                  accountId:
                    description: The ID of the account to work with.
                    type:
                      - string
                    example: F50091
                  budgetId:
                    description: The ID of the budget to work with.
                    type:
                      - string
                    format: uuid
                    maxLength: 36
                    example: 775596ae-2624-40af-a9dc-9756110a4a03
                  status:
                    type:
                      - string
                    enum:
                      - PENDING
                      - PROCESSING
                      - CANCELLED
                      - COMPLETE
                      - UNDERPAID
                      - OVERPAID
                      - EXPIRED
                  remitterId:
                    type:
                      - string
                    format: uuid
                    description: The ID of the BVNK remitter associated with the payment.
                    example: a1111111-2222-3333-4444-555555555555
                  amount:
                    type:
                      - number
                    exclusiveMinimum: 0
                    description: The amount to be paid.
                    example: 100
                  displayName:
                    type:
                      - string
                      - 'null'
                    minLength: 1
                    maxLength: 255
                    example: 'Invoice #12345'
                  sourceCurrencyCode:
                    type:
                      - string
                    minLength: 3
                    maxLength: 4
                    description: The currency the remitter will send.
                    example: USDC
                  destinationCurrencyCode:
                    type:
                      - string
                    minLength: 3
                    maxLength: 4
                    description: The currency that should be received into the budget.
                    example: USD
                  returnUrl:
                    type:
                      - string
                      - 'null'
                    format: uri
                    description: >-
                      The URL that the customer will be redirected to if they
                      click the Back button on the link url page. Must start
                      with https://
                    example: https://www.example.com/receive-money
                  link:
                    type:
                      - object
                    properties:
                      url:
                        type:
                          - string
                        format: uri
                        description: The URL of BVNK's pay-in page.
                        example: >-
                          https://pay.sandbox.bvnk.com/channel?uuid=9d1f67f2-a647-404b-9b02-247c77be81d0
                      chains:
                        type:
                          - array
                        items:
                          type:
                            - object
                          properties:
                            protocol:
                              type:
                                - string
                              minLength: 1
                              maxLength: 255
                              example: ETH
                            address:
                              type:
                                - string
                              minLength: 1
                              maxLength: 255
                              example: '0x0000000000000000000000000000000000000000'
                          required:
                            - protocol
                            - address
                    required:
                      - url
                      - chains
                  expiresAt:
                    type:
                      - string
                    format: date-time
                    description: >-
                      The date/time at which the payment expires. ISO 8601
                      format without milliseconds.
                    example: '2025-01-30T08:30:00.000Z'
                  createdBy:
                    type:
                      - string
                    minLength: 1
                    maxLength: 255
                    example: John Smith
                  createdAt:
                    type:
                      - string
                    format: date-time
                    description: >-
                      The date the Resource was initially created. ISO 8601
                      format without milliseconds.
                  updatedAt:
                    type:
                      - string
                    format: date-time
                    description: >-
                      The date the Resource was last modified. ISO 8601 format
                      without milliseconds.
                required:
                  - id
                  - accountId
                  - budgetId
                  - status
                  - remitterId
                  - amount
                  - sourceCurrencyCode
                  - destinationCurrencyCode
                  - createdBy
                  - createdAt
                  - updatedAt
                example:
                  id: e9293471-5eb3-4dbc-916c-dbaf9e2deefd
                  accountId: F50091
                  budgetId: 775596ae-2624-40af-a9dc-9756110a4a03
                  status: PENDING
                  remitterId: a1111111-2222-3333-4444-555555555555
                  amount: 100
                  displayName: 'Invoice #12345'
                  sourceCurrencyCode: USDC
                  destinationCurrencyCode: USD
                  returnUrl: https://www.example.com/receive-money
                  link:
                    url: >-
                      https://pay.sandbox.bvnk.com/channel?uuid=9d1f67f2-a647-404b-9b02-247c77be81d0
                    chains:
                      - protocol: ETH
                        address: '0x0000000000000000000000000000000000000000'
                  expiresAt: '2025-01-30T08:30:00.000Z'
                  createdBy: John Smith
                  createdAt: '2019-08-24T14:15:22Z'
                  updatedAt: '2019-08-24T14:15:22Z'
      security:
        - CommonAuth:
            - remitters:read:any
      x-codeSamples:
        - lang: Shell
          label: cURL
          source: |-
            curl --request GET \
              --url 'https://api.equalsmoney.com/v2/stablecoins/payments/{id}?accountId={{accountId}}' \
              --header 'Authorization: <api-key>'
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````